#pragma once

/**
 * Initialises the RFM95 LoRa radio.
 */
void transmit_init();

/**
 * Sends a specified message via LoRaWAN.
 * @param data   The message to send.
 * @param length The length of the given message.
 */
bool transmit_send(byte* data, int length);
